> ## Documentation Index
> Fetch the complete documentation index at: https://docs.membrane.agency/llms.txt
> Use this file to discover all available pages before exploring further.

# List incoming webhooks



## OpenAPI

````yaml /api-reference/membrane-api.json get /incoming-webhooks
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /incoming-webhooks:
    get:
      tags:
        - IncomingWebhooksReader
      summary: List incoming webhooks
      operationId: listIncomingWebhooks
      parameters:
        - name: limit
          required: false
          in: query
          description: Maximum number of items to return (1-1000)
          schema:
            minimum: 1
            maximum: 1000
            type: integer
        - name: cursor
          required: false
          in: query
          description: Pagination cursor from a previous response
          schema:
            type: string
        - name: tenantId
          in: query
          required: false
          schema:
            type: string
        - name: integrationId
          in: query
          required: false
          schema:
            type: string
        - name: connectionId
          in: query
          required: false
          schema:
            type: string
        - name: subscriptionId
          required: false
          in: query
          schema:
            type: string
        - name: status
          in: query
          required: false
          schema:
            type: string
            enum:
              - success
              - error
        - name: externalAppId
          in: query
          required: false
          schema:
            type: string
        - name: from
          in: query
          required: false
          schema:
            type: string
        - name: to
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IncomingWebhooksPaginatedResponseDto'
components:
  schemas:
    IncomingWebhooksPaginatedResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
              workspaceId:
                type: string
              tenantId:
                type: string
              integrationId:
                type: string
              connectionId:
                type: string
              externalAppId:
                type: string
              subscriptionId:
                type: string
              userId:
                type: string
              uuid:
                type: string
              status:
                type: string
                enum:
                  - success
                  - error
              collectedEventIds:
                type: array
                items:
                  type: string
              error:
                $ref: >-
                  #/components/schemas/IncomingWebhooksPaginatedResponseDto__schema0
              createdAt:
                type: string
            required:
              - id
              - workspaceId
              - tenantId
              - integrationId
              - connectionId
              - subscriptionId
              - userId
              - uuid
              - status
              - collectedEventIds
              - createdAt
        cursor:
          type: string
      required:
        - items
    IncomingWebhooksPaginatedResponseDto__schema0:
      type: object
      properties:
        type:
          type: string
          enum:
            - bad_request
            - connection
            - configuration
            - dependency_error
            - flow_run
            - flow_instance_setup
            - concurrency
            - internal
            - action_run
            - action_instance_setup
            - unit_run
            - custom_code
            - insufficient_credit
            - openrouter_not_configured
        key:
          type: string
        message:
          type: string
        data:
          type: object
        stack:
          type: object
        causedByError:
          $ref: '#/components/schemas/IncomingWebhooksPaginatedResponseDto__schema0'
        logs:
          type: array
          items:
            type: object
      required:
        - message
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````